package co.com.certicamara.configuracion;

import javax.net.ssl.HostnameVerifier;
import javax.net.ssl.HttpsURLConnection;
import javax.net.ssl.SSLSession;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;
import org.springframework.web.client.RestTemplate;

@Configuration
public class configuracion {

	@Bean
	public RestTemplate restTemplate() {
		return new RestTemplate();
	}
	
	//solo activa para ambiente de desarrollo
	@Bean
	@Profile("development")
	public HttpsURLConnection conexionSegura() {
		HttpsURLConnection.setDefaultHostnameVerifier(new HostnameVerifier() {
			@Override
			public boolean verify(String hostname, SSLSession session) {
				return true;
			}
		});
		return null;
	}
	
	
	

}
